# opendmarc_policy_fetch_utilized_domain()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    OPENDMARC_STATUS_T opendmarc_policy_fetch_utilized_domain(
    	DMARC_POLICY_T *pctx,
    	u_char* buf, size_t buflen
    );
Query the library to find the domain that was actually used to find the `DMARC` record. Either the `From:` domain or the organizational domain.
DESCRIPTION |
Called When | `opendmarc_policy_fetch_utilized_domain()` is called after the DMARC record has been fetched and parsed.
ARGUMENTS |
Argument | Description
--- | ---
pctx | The address of a structure of type `DMARC_POLICY_T` as returned from opendmarc_policy_connect_init().
buf | The address of a buffer to receive the domain.
buflen | The size of the buffer in bytes.
RETURN VALUES | `DMARC_PARSE_OKAY` -- On success. `DMARC_PARSE_ERROR_NULL_CTX` -- If you passed in a `pctx` value that was NULL. `DMARC_PARSE_ERROR_EMPTY` -- The `buf` was NULL or `buflen` was 0.
NOTES | Call this function only after a `DMARC` record was fetched and parsed with opendmarc_policy_query_dmarc() or supplied to the library with opendmarc_policy_store_dmarc().

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.